get
https://api.searoutes.com/v3/fuel
Beta notice : this endpoint is part of our v3-suite beta testing phase.
Please note that:
- The behavior and structure may change before public release.
- Some features or results may still be incomplete or evolving.
This endpoint allows you to retrieve the amount of fuel of :
- your shipment, by providing the unique identifier of your shipment (
id). - an order on a routing object, by providing unique identifiers of your routing object (route, route collection, leg or hub) and your order (
id).
The response is a JSON including the amount of fuel of the requested object and the amounts of fuel of its sub-components (routes of a route collection, legs and hubs of a route).
Notes and considerations
idlifetime: the route and shipmentidsremain valid for a limited period (at least 1 hour) during the beta phase.- Fuel consumption is estimated from the distance travelled in each area (ECA vs non-ECA) and the technical characteristics of the vessel(s) assigned to the route.
- Availability of the fuel consumption computation by route type:
historical: available, based on the vessel(s) that performed the voyage.schedule: available, based on the vessel(s) operating the scheduled departure.shortest: available only if a vessel was provided in the route request.proforma: not available, since multiple potential vessels per leg make fuel consumption inconsistent to compute.
Support endpoints and resources
- Post route collection: use the
/v3/routeCollectionsendpoint to search routes. - Get route: use the
/v3/routes/{id}endpoint to retrieve details of a route. - Get route collection: use the
/v3/routeCollections/{id}endpoint to retrieve details of a route collection. - Get order: use the
/v3/orders/{id}endpoint to retrieve details of an order. - Explore the list of Supported fields and values.